fsetdiff-methods {msbase} | R Documentation

## difference

### Description

Performs *set* (asymmetric!) difference on two Massvectors

### Arguments

`obx` | see below in Methods section
`oby` | see below in Methods section
`error` | measurement error in e.g. Da or as relative error in parts per million (ppm)
`ppm` | if `TRUE` then error in parts per million(ppm), in arbitrary units otherwise.
`uniq` | if `TRUE` compute non-crossing matching.

### Methods

obx = "numeric", oby = "numeric"
  ...
obx = "Massvector", oby = "Massvector"
  ...
obx = "Massvectorlist", oby = "Massvector"
  ...

### See Also

`Massvector-class` ,`Massvectorlist-class` ,`fintersect-methods` ,`setdiff`

### Examples

    data(pldata)
    pl1 <- pldata[[1]]
    pl2 <- pldata[[4]]
    length(pl1)
    length(fsetdiff(pl1[,1,drop=TRUE],pl2[,1,drop=TRUE],error=0.1,ppm=FALSE))
    length(fsetdiff(pl1,pldata[[1]],error=0.1,ppm=FALSE))
    length(fsetdiff(pldata,pl1,error=0.1,ppm=FALSE)[[4]])

[Package msbase version 1.5.0 Index]